## automake.am
##
## Automake.am for rivendell/pam_rd
##
## by Federico Grau <grauf@rfa.org> <donfede@casagrau.org>
## based on work by Fred Gleason <fredg@paravelsystems.com> and from 
## libpam-ldap-178
##
##      $Id: Makefile.am,v 1.6 2007-09-25 15:40:45 fredg Exp $
##
##   This program is free software; you can redistribute it and/or modify
##   it under the terms of the GNU General Public License version 2 as
##   published by the Free Software Foundation.
##
##   This program is distributed in the hope that it will be useful,
##   but WITHOUT ANY WARRANTY; without even the implied warranty of
##   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
##   GNU General Public License for more details.
##
##   You should have received a copy of the GNU General Public
##   License along with this program; if not, write to the Free Software
##   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
##
## Use automake to process this into a Makefile.in

AM_CPPFLAGS = -Wall -DPREFIX=\"$(prefix)\" -DQTDIR=\"@QT_DIR@\" -fPIC @QT_CXXFLAGS@
INCLUDES = -I$(top_srcdir)/lib
LIBS = @QT_LIBS@ -L$(top_srcdir)/lib
MOC = @QT_MOC@

# The dependency for qt's Meta Object Compiler (moc)
moc_%.cpp:	%.h
	$(MOC) $< -o $@

noinst_PROGRAMS = pam_rd.so
pam_rd_so_SOURCES = pam_rd.cpp
pam_rd_so_LDFLAGS = -shared -Xlinker -x
pam_rd_so_LDADD = -lqui -lrd -lid3 -lFLAC @LIBVORBIS@

install-exec-local: pam_rd.so
	@$(NORMAL_INSTALL)
	$(mkinstalldirs) $(DESTDIR)/lib/security
	$(INSTALL_PROGRAM) -o root -g root .libs/pam_rd.so $(DESTDIR)/lib/security/pam_rd.so

uninstall-local:
	@$(NORMAL_UNINSTALL)


CLEANFILES = *~ moc_* *.qm
DISTCLEANFILES = Makefile.in
